# Ticketing System
[![Build Status](https://travis-ci.org/binhonglee/TicketingSystem.svg?branch=master)](https://travis-ci.org/binhonglee/TicketingSystem)
[![CircleCI](https://circleci.com/gh/binhonglee/TicketingSystem.svg?style=shield)](https://circleci.com/gh/binhonglee/TicketingSystem)
[![codecov](https://codecov.io/gh/binhonglee/TicketingSystem/branch/master/graph/badge.svg)](https://codecov.io/gh/binhonglee/TicketingSystem)

[![Issue Count](https://codeclimate.com/github/binhonglee/TicketingSystem/badges/issue_count.svg)](https://codeclimate.com/github/binhonglee/TicketingSystem)
[![MIT License](https://img.shields.io/badge/license-MIT-blue.svg)](https://github.com/binhonglee/TicketingSystem/blob/master/LICENSE)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](http://makeapullrequest.com)


An overall system that records information about each vehicles and users.

For detailed code documentations, please visit [https://binhonglee.github.io/TicketingSystem/docs/](https://binhonglee.github.io/TicketingSystem/docs/).

##### Disclaimer:

This program is still in progress and is currently in a **NOT WORKING** condition.

## Requirements

1. Git
2. JDK
3. Apache Ant
4. (Mac) jsoncpp or brew

## Installation

```sh
$ git clone https://github.com/binhonglee/TicketingSystem.git
$ cd TicketingSystem
```

#### Ubuntu/Mint

```sh
$ ./install.sh
```

#### Mac

```sh
$ ./mac_install.sh
```

## Building and running it

```sh
$ ant build
$ ./bin/main
```

## Uninstallation

#### Ubuntu/Mint

```sh
$ ./uninstall.sh
```

#### Mac

```sh
$ ./mac_uninstall.sh
```
